Description

Chip has a device N:ILIFE that reads N:IBEAMA. N:IBEAMA is reading an electron beam and thus has a negative value. He would
like to be able to calculate the lifetime of this beam that decays more positive.

History

#1 - 01/29/2019 03:52 PM - Beau Harrison

Implementing a new calcDirection, "nlife", seems like the most straight forward solution. It will simply multiply the readings by -1 and perform the same
calculation.

#2 - 01/30/2019 03:45 PM - Beau Harrison

I've pushed out an update with the name "nlife". It will need to be tested.

#3 - 02/04/2019 03:33 PM - Beau Harrison

The OSDA physics package being used to do the lifetime calculation accepts a relative error parameter that was set to 0.0. This caused 1.0/0.0 to be
propagated through the calculation producing NaN. | set the relative error parameter to 1.0. | believe this will effectively ignore the weights applied for
the error calculations.

It appears this returns a percentage of a minute. Is that the desired output?

#4 - 02/18/2019 08:39 AM - Beau Harrison

- Assignee set to Beau Harrison

| want to discuss this calculation in detail and make sure we understand the desired output. The OSDA package is doing things we don't need
anymore so it might be worthwhile to simplify the code and fully understand the calculation.
